package mqtt

import (
	"github.com/gogf/gf/encoding/gjson"
	"sparrow/pkg/rpcs"
)

type Provider interface {
	ValidateDeviceToken(deviceid string, token []byte) error
	OnDeviceOnline(args rpcs.ArgsGetOnline, VendorId string) error
	OnDeviceOffline(deviceid string, vendorId string) error
	OnDeviceHeartBeat(deviceid string) error
	OnDeviceMessage(deviceid, vendorId string, msgtype string, message *gjson.Json)
}
